summaryrefslogtreecommitdiff
path: root/bin/i3-startup-always
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2019-09-02 15:06:57 -0700
committerSean Whitton <spwhitton@spwhitton.name>2019-09-02 15:07:13 -0700
commit7f9f91e579141d5478d180fed78a16f10217088b (patch)
treea3164709190efb81d9da22f6097c0d40ad6397ef /bin/i3-startup-always
parent18f75c8d1a6192670e66961e79c1de2a57427e7b (diff)
downloaddotfiles-7f9f91e579141d5478d180fed78a16f10217088b.tar.gz
move ibus startup code to make it easier to fix when it breaks
Sometimes the tray icon disappears when I'm switched into a language other than English.
Diffstat (limited to 'bin/i3-startup-always')
-rwxr-xr-xbin/i3-startup-always9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/i3-startup-always b/bin/i3-startup-always
index 6c6bb7d4..12c4980e 100755
--- a/bin/i3-startup-always
+++ b/bin/i3-startup-always
@@ -103,3 +103,12 @@ xset s default
xset s 600
xset +dpms
xset dpms 600 600 600
+
+# ---- input methods
+
+if ! in-develacc; then
+ # work around Debian bug #812826 and frequent partial crashes of
+ # ibus (leaving me stuck in non-English input)
+ pkill -u $USER ibus-daemon
+ IBUS_ENABLE_SYNC_MODE=0 ibus-daemon --xim --daemonize
+fi